import { BrowserModule } from '@angular/platform-browser';
import { ErrorHandler, NgModule } from '@angular/core';
import { IonicApp, IonicErrorHandler, IonicModule } from 'ionic-angular';
import { SplashScreen } from '@ionic-native/splash-screen';
import { StatusBar } from '@ionic-native/status-bar';

import { MyAppHw } from './app.component';
import { HomePage } from '../pages/home/home';
import { OlaComponent } from '../components/ola/ola'

@NgModule({
  declarations: [
    MyAppHw,
    HomePage,
    OlaComponent
  ],
  imports: [
    BrowserModule,
    IonicModule.forRoot(MyAppHw)
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyAppHw,
    HomePage,
    OlaComponent
  ],
  providers: [
    StatusBar,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler}
  ]
})
export class AppModuleHw {}
